# OqlTokenizer Class Reference
[Object Query Language based on Criteria]

List of all members.

## Public Member Functions

| __construct ($string)
| getList ()
| getLine ()
| getPosition ()
| getIndex ()
| setIndex ($index)
| get ()
| next ()
| back ()
| peek ()

## Private Member Functions

| getByIndex ($index)
| tokenize ($string)

## Static Private Member Functions

static | importTokenValue ($value, $type)

## Private Attributes

| $tokens = array()
| $tokensCount = 0
| $token = null
| $prevToken = null
| $index = -1

## Static Private Attributes

static | $masks

## Detailed Description

Definition at line 15 of file OqlTokenizer.class.php.

## Constructor & Destructor Documentation

OqlTokenizer::__construct | ( | $ | string | ) |

Definition at line 75 of file OqlTokenizer.class.php.

References tokenize().

Here is the call graph for this function:

## Member Function Documentation

OqlTokenizer::back | ( |  | ) |

Returns:
  OqlToken

Definition at line 148 of file OqlTokenizer.class.php.

References setIndex().

Here is the call graph for this function:

OqlTokenizer::get | ( |  | ) |

Returns:
  OqlToken

Definition at line 130 of file OqlTokenizer.class.php.

OqlTokenizer::getByIndex | ( | $ | index | ) | `[private]`

Returns:
  OqlToken

Definition at line 169 of file OqlTokenizer.class.php.

References $index.

Referenced by peek(), and setIndex().

OqlTokenizer::getIndex | ( |  | ) |

Definition at line 103 of file OqlTokenizer.class.php.

OqlTokenizer::getLine | ( |  | ) |

Definition at line 85 of file OqlTokenizer.class.php.

References $token.

OqlTokenizer::getList | ( |  | ) |

Definition at line 80 of file OqlTokenizer.class.php.

OqlTokenizer::getPosition | ( |  | ) |

Definition at line 94 of file OqlTokenizer.class.php.

References $token.

static OqlTokenizer::importTokenValue | ( | $ | value,
|  | $ | type |
| ) |  |  | `[static, private]`

Definition at line 242 of file OqlTokenizer.class.php.

References OqlToken::AGGREGATE_FUNCTION, OqlToken::BOOLEAN, OqlToken::COMPARISON_OPERATOR, OqlToken::KEYWORD, BinaryExpression::NOT_EQUALS, OqlToken::NULL, OqlToken::NUMBER, OqlToken::STRING, and OqlToken::SUBSTITUTION.

Referenced by tokenize().

OqlTokenizer::next | ( |  | ) |

Returns:
  OqlToken

Definition at line 138 of file OqlTokenizer.class.php.

References setIndex().

Here is the call graph for this function:

OqlTokenizer::peek | ( |  | ) |

Returns:
  OqlToken

Definition at line 158 of file OqlTokenizer.class.php.

References getByIndex().

Here is the call graph for this function:

OqlTokenizer::setIndex | ( | $ | index | ) |

Returns:
  OqlTokenizer

Definition at line 111 of file OqlTokenizer.class.php.

References $index, and getByIndex().

Referenced by back(), and next().

Here is the call graph for this function:

OqlTokenizer::tokenize | ( | $ | string | ) | `[private]`

Returns:
  OqlTokenizer

Definition at line 177 of file OqlTokenizer.class.php.

References importTokenValue(), Assert::isString(), OqlToken::KEYWORD, OqlToken::make(), OqlToken::NEW_LINE, and OqlToken::STRING.

Referenced by __construct().

Here is the call graph for this function:

## Member Data Documentation

OqlTokenizer::$index = -1`[private]`

Definition at line 21 of file OqlTokenizer.class.php.

Referenced by getByIndex(), and setIndex().

OqlTokenizer::$masks`[static, private]`

Definition at line 23 of file OqlTokenizer.class.php.

OqlTokenizer::$prevToken = null`[private]`

Definition at line 20 of file OqlTokenizer.class.php.

OqlTokenizer::$token = null`[private]`

Definition at line 19 of file OqlTokenizer.class.php.

Referenced by getLine(), and getPosition().

OqlTokenizer::$tokens = array()`[private]`

Definition at line 17 of file OqlTokenizer.class.php.

OqlTokenizer::$tokensCount = 0`[private]`

Definition at line 18 of file OqlTokenizer.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Parsers/OqlTokenizer.class.php